List MCP server tools

GET/tools/mcp-server/{mcp_server_id}/list
RequiresBearerauthentication

Path parameters

mcp_server_idstringrequired
Returns  

Response fields

successbooleanoptional
messagestringoptional
dataobjectoptional
idstringoptional
namestringoptional
descriptionstringoptional
input_schemaobjectoptional
mcp_server_idstringoptional
mcp_server_urlstringoptional
mcp_server_toolsobject[]optional
idstringoptional
namestringoptional
descriptionstringoptional
input_schemaobjectoptional
mcp_server_idstringoptional
mcp_server_urlstringoptional
GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/tools/mcp-server/{mcp_server_id}/list" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "success": true,
  "message": "MCP Server tools retrieved successfully",
  "mcp_server_tools": [
    {
      "id": "tool-001",
      "name": "search_endpoints",
      "description": "Search across the documented endpoints",
      "input_schema": {
        "query": "string"
      },
      "mcp_server_id": "123",
      "mcp_server_url": "https://mcp.example.com"
    },
    {
      "id": "tool-002",
      "name": "get_endpoint",
      "description": "Fetch a single endpoint by ID",
      "input_schema": {
        "endpoint_id": "string"
      },
      "mcp_server_id": "123",
      "mcp_server_url": "https://mcp.example.com"
    }
  ]
}